# netapp_e_alerts – NetApp E-Series manage email notification settings

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Certain E-Series systems have the capability to send email notifications on potentially critical events.
- This module will allow the owner of the system to specify email recipients for these messages.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
contact - |  | Allows the owner to specify some free-form contact information to be included in the emails. This is typically utilized to provide a contact phone number.
log_path - |  | Path to a file on the Ansible control node to be used for debug logging
recipients - |  | The email addresses that will receive the email notifications. Required when state=enabled.
sender - |  | This is the sender that the recipient will see. It doesn't necessarily need to be a valid email account. Required when state=enabled.
server - |  | A fully qualified domain name, IPv4 address, or IPv6 address of a mail server. To use a fully qualified domain name, you must configure a DNS server on both controllers using netapp_e_mgmt_interface. - Required when state=enabled.
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.

state
-

Choices:
- enabled ←
- disabled

Enable/disable the sending of email-based alerts.

test
boolean

Choices:
- no ←
- yes

When a change is detected in the configuration, a test email will be sent.
This may take a few minutes to process.
Only applicable if state=enabled.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- Check mode is supported.
- Alertable messages are a subset of messages shown by the Major Event Log (MEL), of the storage-system. Examples of alertable messages include drive failures, failed controllers, loss of redundancy, and other warning/critical events.
- This API is currently only supported with the Embedded Web Services API v2.0 and higher.
- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Enable email-based alerting
      netapp_e_alerts:
        state: enabled
        sender: noreply@example.com
        server: mail@example.com
        contact: "Phone: 1-555-555-5555"
        recipients:
            - name1@example.com
            - name2@example.com
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

    - name: Disable alerting
      netapp_e_alerts:
        state: disabled
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | on success | Success message Sample: The settings have been updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Price (@lmprice)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.